Package com.destroystokyo.paper.event.player

# Enum Class PlayerSetSpawnEvent.Cause

java.lang.Object
java.lang.Enum<PlayerSetSpawnEvent.Cause>
com.destroystokyo.paper.event.player.PlayerSetSpawnEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerSetSpawnEvent.Cause>`, `Constable`

Enclosing class:
  PlayerSetSpawnEvent

public static enum PlayerSetSpawnEvent.Cause extends Enum<PlayerSetSpawnEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BED`
When a player interacts successfully with a bed.
`COMMAND`
When the `/spawnpoint` command is used on a player.
`PLAYER_RESPAWN`
When a player respawns.
`PLUGIN`
When a plugin uses `Player.setBedSpawnLocation(Location)` or `Player.setBedSpawnLocation(Location, boolean)`.
`RESPAWN_ANCHOR`
When a player interacts successfully with a respawn anchor.
`UNKNOWN`
Fallback cause.

## Method Summary

Modifier and Type
Method
Description
`static PlayerSetSpawnEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerSetSpawnEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BED

public static final PlayerSetSpawnEvent.Cause BED
When a player interacts successfully with a bed.

### RESPAWN_ANCHOR

public static final PlayerSetSpawnEvent.Cause RESPAWN_ANCHOR
When a player interacts successfully with a respawn anchor.

### PLAYER_RESPAWN

public static final PlayerSetSpawnEvent.Cause PLAYER_RESPAWN
When a player respawns.

### COMMAND

public static final PlayerSetSpawnEvent.Cause COMMAND
When the `/spawnpoint` command is used on a player.

### PLUGIN

public static final PlayerSetSpawnEvent.Cause PLUGIN
When a plugin uses `Player.setBedSpawnLocation(Location)` or `Player.setBedSpawnLocation(Location, boolean)`.

### UNKNOWN

public static final PlayerSetSpawnEvent.Cause UNKNOWN
Fallback cause.

## Method Details

### values

public static PlayerSetSpawnEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerSetSpawnEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null